use firls_rs::firls;
use firls_rs_macros::firls_real;

firls_real!(
    13,
    8000.0,
    [(0.0, 1.0), (1900.0, 1.0), (3000.0, 0.0), (4000.0, 0.0)]
);

fn main() {
    let coeffs = firls(
        13,
        8000.0,
        &vec![(0.0, 1.0), (1900.0, 1.0), (3000.0, 0.0), (4000.0, 0.0)],
    )
    .unwrap();

    println!("[");
    for coeff in coeffs.iter() {
        println!("{},", coeff)
    }
    println!("]");

    println!("Lenght: {}", coeffs.len());
}
